{ withSystem, inputs, ... }:
{
  # perSystem = { ... }: { config.packages.hello = ...; };

  flake.homeConfigurations.wsl = withSystem "x86_64-linux" (
    ctx@{ config, inputs', ... }:
    inputs.home-manager.lib.homeManagerConfiguration {
      pkgs = inputs.nixpkgs.legacyPackages.${"x86_64-linux"};
      extraSpecialArgs = {
        inherit inputs inputs';
        packages = config.packages;
      };
      modules = [
        (
          {
            config,
            lib,
            pkgs,
            ...
          }:
          {
            imports = [
              ../../modules/programs/shell.nix
              ../../modules/programs/neovim.nix
            ];
            home.username = "nathan";
            home.homeDirectory = "/home/nathan/";
            programs.command-not-found.enable = true;
            home.stateVersion = "24.11";
            programs.home-manager.enable = true;
          }
        )
      ];
    }
  );
}
